//
//  OvalEye.h
//  YKEyes
//
//  Created by KOYAMA Yoshiaki on Tue Nov 18 2003.
//  Copyright (c) 2003 KOYAMA Yoshiaki. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// 楕円の大きさを算出
#define OVAL_A          20.0f
#define OVAL_B          35.0f
#define OVAL_WIDTH      12.0f
#define EYES_SIZE_A     8.0f
#define EYES_SIZE_B     10.0f
#define LINE_WIDTH_A    8.0f
#define LINE_WIDTH_B    8.0f
#define EYES_SPACE      10.0f

#define OVAL_MIDDLE_A     (OVAL_A+OVAL_WIDTH+LINE_WIDTH_A+EYES_SIZE_A)
#define OVAL_MIDDLE_B     (OVAL_B+OVAL_WIDTH+LINE_WIDTH_B+EYES_SIZE_B)
#define WINDOW_WIDTH      ((OVAL_MIDDLE_A)*4+EYES_SPACE)

typedef enum {
    LEFT_EYE,
    RIGHT_EYE
} EyeType;

@class EyesView;

@interface OvalEye : NSObject {
    EyesView *_view;
    EyeType _type;
    NSPoint _transform;
    NSPoint _mouse;
    NSPoint _center;
    NSPoint _ovalAB;
    NSPoint _ovalAB2;
    NSPoint _ovalAB3;
    float _eyesSpace;
    NSPoint _eyesSize;
    NSPoint _lineWidthAB;
}

- (id)initOvalEye:(EyeType)type :(EyesView *)view;
- (void)setMouse:(NSPoint)mouse;
- (void)calcOval;
- (void)calcCenter;
- (void)draw;

@end
